Subject: Re: ./configure on cygwin in window platform
From: Vincent Richomme <[email-masked]>
To: J J <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 01 Feb 2010 14:58:18 +0100
List-Id: <cygwin.cygwin.com>

> Please help me out. I spent for three days but I still could install gcc
> in window on cygwin.
> 
> Problem is I could not install gcc file,
> (mingw-w64-trunk-snapshot-20091222.tar.bz2), on cygwin in window
platform.
> 
> I would like to unpack and intall gcc
> (mingw-w64-trunk-snapshot-20091222.tar.bz2) on cygwin on window
platform. I
> follow instruction posted on
> http://cygwin.wikia.com/wiki/How_to_install_GCC_4.3.0. The problem I
have
> found out is I could not process the configure step as below. The result
> shows "No such file or directory"
>  
> Steps:
> $ mkdir build
> $ cd build
> $ ../gcc-*/configure --enable-languages=c,c++
> $ make
> $ make install
>  
> May it be because of (1) setting srcdir or objdir non-correctly or (2)
> else ?
>  
> What I have done are:
> 1. Download gcc file and load it into /usr/build. Build subfolder is
> created by me. --> ( equal to $ mkdir build  and  $ cd build)
> 2. Unpack gcc tar.bz2 file (mingw-w64-trunk-snapshot-20091222.tar.bz2)
on
> that location. --> It generates trunk subfolder that contains some
> subfolder too.
> 3. $mkdir build  and $cd build --> current location is urs/build
> 4. $ ../trunk/configure --enable-languages=c,c++  --> It does not work.
> Error = "No such file or directory"
>  
> Comparing to what you recommend on
> http://gcc.gnu.org/install/configure.html ,
>  
> To configure GCC:
> % mkdir objdir
> % cd objdir
> % srcdir/configure [options] [target]
>  
> You mentions that  objdir can not be a subdirectory of srcdir.  This is
> why I tried one more time with the different folder and the same level
> under usr folder. What I did are:
> 
> 1. Download gcc (mingw-w64-trunk-snapshot-20091222.tar.bz2) for window
> platform again into usr/tmp 
> 2. Unpack it in the usr/tmp/. The path result are approximately 
>     usr/tmp/trunk/mingw..1*
>     usr/tmp/trunk/mingw..2*
>     usr/tmp/trunk/mingw..3*
>     usr/tmp/trunk/mingw..4*
> 
> 3. $cd build --> under usr folder --> current location is usr/build -->
> build is already created by me on the previous work.
> 4  command to configure ->
> $../mingw-w64-trunk-snapshot-20091222.tar.bz2/configure
> --enable-language=c,c++  --> Show error msg = "No such file or
directory"
> 5. Try $ ../trunk/mingw-w64-trunk-snapshot-20091222.tar.bz2/configure
> --enable-language=c,c++  --> Show error msg = "No such file or
directory". 
>  
>  
> Please help me out. I don't why I could not and thank you very much,
> Jasmine
> Ps. I am pretty much new with cygwin and this is my first time.

Hello Jasmine, 

I can see that you are using mingw-w64 sources and you should first asked
on irc.oftc.net
(http://mingw-w64.sourceforge.net/mibbit.html) how to do it because there
is always someone that can help you.
I recommend also to read this :
http://sourceforge.net/apps/trac/mingw-w64/wiki/Cross%20Win32%20and%20Win64%20compiler
Generally mingw-w64 provides also some script to compile their toolchain,
at least
last time I tried there was a script that you could use as an install
guide.
Compiling mingw-w64 is a bit specific because if you try to compile
gcc-4.5 there are some 
details like multilib and you should read their FAQ.
Hope this helps a bit.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple